<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the PhpBridge Component
 */
class PhpBridgeViewPhpView extends JViewLegacy
{
    protected $html;

    // Overwriting JView display method
    function display($tpl = null)
    {

        $document = JFactory::getDocument();
        $app		= JFactory::getApplication();
        $params		= $app->getParams();
        // Assign data to the view
        $this->state       = $this->get('State');
        $this->item        = $this->get('Item');
        $this->html        = $this->get('Html');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JFactory::getApplication()->enqueueMessage(implode("\n", $errors), 'error');
            return false;
        }

        $css = $params->get('c_css');

        if($css!=""){
            $document->addStyleSheet(JURI::root( true ).'/templates/'.$app->getTemplate().'/css/'.$css);
        }


        $this->pageclass_sfx = htmlspecialchars($params->get('pageclass_sfx'));
        $this->params = $params;
        return parent::display($tpl);
    }
}
