<?php
/**
* PHPBridge Created by Henry Schorradt
*/
namespace Schorradt;
use Schorradt;
use \JFactory;

defined('_JEXEC') or die('Restricted access');

class phpmodul{

	private	$run='';
	private	$mode='';
	private	$data=array();
	private $scriptfile = '';
		
	public function __construct($run='',$mode='',$data=''){
		$this->run = addslashes($run);
		$this->mode = addslashes($mode);
		$this->data = explode(",",$data);
	}
		
	public function init($params){
		
		$path = $params->get('pb_path','templatephp');
		
		$app = JFactory::getApplication();
		$tempfilename = JPATH_SITE.'/templates/'.$app->getTemplate().'/php/'.$this->run.'.php';
		
		
		if($path=="templatephp"){
			$tempfilename = JPATH_SITE.'/templates/'.$app->getTemplate().'/php/'.$this->run.'.php';
		}
		if($path=="rootphp"){
			$tempfilename = JPATH_SITE.'/php/'.$this->run.'.php';
		}
		
		
		if(is_file($tempfilename)){
			$this->scriptfile = $tempfilename;
		}else{
			$this->scriptfile = JPATH_SITE.'/components/com_phpbridge/library/emptyscript.php';
		}
	}

	public function runScript(){
		$mode = $this->mode;
		$data = $this->data;
		
		ob_start();
		if(is_file($this->scriptfile)) include $this->scriptfile;
		$out = ob_get_contents();
		ob_clean();
		return $out;		
	}

}//CLASS